Replaces the colors of an image with the closest color from a reference image

- « Gmagick::magnifyimage

- Gmagick::medianfilterimage »

- PHP Manual
- Gmagick
- Replaces the colors of an image with the closest color from a reference image

# Gmagick::mapimage

(PECL gmagick >= Unknown)

Gmagick::mapimage — Replaces the colors of an image with the closest color from a reference image

### Description

public Gmagick::mapimage(gmagick `$gmagick`, bool `$dither`): Gmagick

Replaces the colors of an image with the closest color from a reference image.

### Parameters

`gmagick`

  The reference image.

`dither`

  Set this integer value to something other than zero to dither the mapped image.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.